Package org.apache.commons.compress.archivers.arj

# Class ArjArchiveEntry.HostOs

java.lang.Object
org.apache.commons.compress.archivers.arj.ArjArchiveEntry.HostOs

Enclosing class:
  `ArjArchiveEntry`

public static class ArjArchiveEntry.HostOs extends Object
The known values for HostOs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AMIGA`
  Constant value 3.
  `static final int`
  `APPLE_GS`
  Constant value 6.
  `static final int`
  `ATARI_ST`
  Constant value 7.
  `static final int`
  `DOS`
  Constant value 0.
  `static final int`
  `MAC_OS`
  Constant value 4.
  `static final int`
  `NEXT`
  Constant value 8.
  `static final int`
  `OS_2`
  Constant value 5.
  `static final int`
  `PRIMOS`
  Constant value 1.
  `static final int`
  `UNIX`
  Constant value 2.
  `static final int`
  `VAX_VMS`
  Constant value 9.
  `static final int`
  `WIN32`
  Constant value 11.
  `static final int`
  `WIN95`
  Constant value 10.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HostOs()`
  Deprecated.
  Will be private in the next major release.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DOS

    public static final int DOS
    Constant value 0.
    See Also:
      - Constant Field Values

  - ### PRIMOS

    public static final int PRIMOS
    Constant value 1.
    See Also:
      - Constant Field Values

  - ### UNIX

    public static final int UNIX
    Constant value 2.
    See Also:
      - Constant Field Values

  - ### AMIGA

    public static final int AMIGA
    Constant value 3.
    See Also:
      - Constant Field Values

  - ### MAC_OS

    public static final int MAC_OS
    Constant value 4.
    See Also:
      - Constant Field Values

  - ### OS_2

    public static final int OS_2
    Constant value 5.
    See Also:
      - Constant Field Values

  - ### APPLE_GS

    public static final int APPLE_GS
    Constant value 6.
    See Also:
      - Constant Field Values

  - ### ATARI_ST

    public static final int ATARI_ST
    Constant value 7.
    See Also:
      - Constant Field Values

  - ### NEXT

    public static final int NEXT
    Constant value 8.
    See Also:
      - Constant Field Values

  - ### VAX_VMS

    public static final int VAX_VMS
    Constant value 9.
    See Also:
      - Constant Field Values

  - ### WIN95

    public static final int WIN95
    Constant value 10.
    See Also:
      - Constant Field Values

  - ### WIN32

    public static final int WIN32
    Constant value 11.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HostOs

    @Deprecated public HostOs()
    Deprecated.
    Will be private in the next major release.
    Constructs a new instance.